#!/bin/bash

model_path=/datav/sunzhq/workspace/bytedance/new_models/model_1/trt/
export CUDA_VISIBLE_DEVICES=0
for bs in 1 2 4 8 16 32 64 128 256 512 1024 2048; do
    echo "====== batch size: ${bs} ======"
    trtexec --loadEngine=${model_path}model-static-batch-size-${bs}.trt --useSpinWait > ${model_path}/logs/nvidia-trtexec-${bs}.log
done
